Subject: [v2,01/14] thermal: Rename driver 'kirkwood' -> 'mvebu'

From: [email-masked] (Ezequiel Garcia)
Date: Thu, 11 Apr 2013 13:31:58 -0300

Hi Eduardo,

Thanks for your testing.

On Thu, Apr 11, 2013 at 12:00:48PM -0400, Eduardo Valentin wrote:
> Hello Ezequiel,
> 
> Two minor comments.
> 
> On 22-03-2013 18:25, Ezequiel Garcia wrote:
> > This driver will support several Marvell SoC, so it is convenient
> > to rename it to 'mvebu' to represent accurately the hardware it
> > supports.
> >
> > Signed-off-by: Ezequiel Garcia <[email-masked]>
> >
> > ---
> > .../bindings/thermal/kirkwood-thermal.txt          |   15 ---
> >   .../devicetree/bindings/thermal/mvebu-thermal.txt  |   15 +++
> >   drivers/thermal/Kconfig                            |   10 +-
> >   drivers/thermal/Makefile                           |    2 +-
> >   drivers/thermal/kirkwood_thermal.c                 |  134 --------------------
> >   drivers/thermal/mvebu_thermal.c                    |  134 ++++++++++++++++++++
> >   6 files changed, 155 insertions(+), 155 deletions(-)
> >   delete mode 100644 Documentation/devicetree/bindings/thermal/kirkwood-thermal.txt
> >   create mode 100644 Documentation/devicetree/bindings/thermal/mvebu-thermal.txt
> >   delete mode 100644 drivers/thermal/kirkwood_thermal.c
> >   create mode 100644 drivers/thermal/mvebu_thermal.c
> 
> When sending renames, use git format-patch --find-renames. The summary 
> will be much descriptive on what you have done.
> 

Yes, you're right I forgot about this.

> I tried applying this patch on top of linux-next, linus/master, 
> ruis/thermal, on top of the your suggested dependencies, and all failed. 
> What is your base?
>

Well, first of all this patchset has been dropped entirely after some discussion.
If you're interested in this discussion you can read:

  http://www.spinics.net/lists/arm-kernel/msg231697.html

If you still want to try this series, the easiest way is to try

  https://github.com/MISL-EBU-System-SW/mainline-public/commits/mvebu-thermal-v2

That branch is based on v3.9-rc2, with a bunch of patches applied as
explained in the cover letter.

I appreciate your feedback a lot, but this are really ancient patches!
You came in a little late :)
-- 
Ezequiel Garc?a, Free Electrons
Embedded Linux, Kernel and Android Engineering
http://free-electrons.com